﻿using MinorShift.Emuera;
using MinorShift.Emuera.GameProc;
using NTERA.Interop;

namespace NTERA.Game.EraEmu
{
	public class EmuEraGameInstance : IScriptEngine
	{
		private Process emuera;

		public bool Initialize(IConsole console)
		{
			emuera = new Process(console);
			GlobalStatic.Process = emuera;
			return emuera.Initialize();
		}

		public void Start()
		{
			emuera.DoScript();
		}

		public void InputString(string input)
		{
			emuera.InputString(input);
		}

		public void InputInteger(long input)
		{
			emuera.InputInteger(input);
		}

		public void InputSystemInteger(long input)
		{
			emuera.InputSystemInteger(input);
		}
	}
}
